﻿# Autogen V 2.2 Cadiz cuadrícula BTN25_10614

IMPORTOGR|INS_IND.mid|*|*|NOREPROJ
IMPORTOGR|EDIFIC.mid|*|*|NOREPROJ
IMPORTOGR|ENT_POB.mid|*|*|NOREPROJ
IMPORTOGR|landuse.mid|*|*|NOREPROJ
IMPORTOGR|ZON_VER.mid|*|*|NOREPROJ
IMPORTOGR|VEGS.mid|*|*|NOREPROJ
IMPORTOGR|ROADWAYS.mid|*|*|NOREPROJ
IMPORTOGR|LIN_ELEC.mid|*|*|NOREPROJ
IMPORTOGR|EDI_REL.mid|*|*|NOREPROJ
#IMPORTOGR|Antena.mid|*|*|NOREPROJ
#IMPORTOGR|ESTACIO.mid|*|*|NOREPROJ

IMPORTAGN|D:\Mis Documentos\Diseño de Escenarios\Foto Real agn\Cadiz\texture
SPLITGRID|AGN

# Categoría 1 aquellos edificios Rectangulares
ADDATTRIBUTE|FTYPE=POLYGON;FROMFILE=INS_IND.mid;FNUMVERT=4;FNUMPERPANG=4|BUILDTIPO|1
ADDATTRIBUTE|FTYPE=POLYGON;FROMFILE=EDIFIC.mid;FNUMVERT=4;FNUMPERPANG=4|BUILDTIPO|1

# Categoría 2 
ADDATTRIBUTE|BUILDTIPO!1;FTYPE=POLYGON;FROMFILE=INS_IND.mid;FAREA>0.70|BUILDTIPO|2
ADDATTRIBUTE|BUILDTIPO!1;FTYPE=POLYGON;FROMFILE=EDIFIC.mid;FAREA>0.70|BUILDTIPO|2

#
ADDATTRIBUTE|FTYPE=POLYGON;FROMFILE=INS_IND.mid;FNUMPERPANG>3;FNUMNOTPAR<2;FNUMVERT<20|BUILDTIPO|3
ADDATTRIBUTE|FTYPE=POLYGON;FROMFILE=EDIFIC.mid;FNUMPERPANG>3;FNUMNOTPAR<2;FNUMVERT<20|BUILDTIPO|3

#
ADDATTRIBUTE|BUILDTIPO!1;BUILDTIPO!2;BUILDTIPO!3;FTYPE=POLYGON;FROMFILE=INS_IND.mid;FCONVEX=1|BUILDTIPO|4
ADDATTRIBUTE|BUILDTIPO!1;BUILDTIPO!2;BUILDTIPO!3;FTYPE=POLYGON;FROMFILE=EDIFIC.mid;FCONVEX=1|BUILDTIPO|4
#
ADDATTRIBUTE|BUILDTIPO!1;BUILDTIPO!2;BUILDTIPO!3;BUILDTIPO!4;FTYPE=POLYGON;FROMFILE=INS_IND.mid|BUILDTIPO|5
ADDATTRIBUTE|BUILDTIPO!1;BUILDTIPO!2;BUILDTIPO!3;BUILDTIPO!4;FTYPE=POLYGON;FROMFILE=EDIFIC.mid|BUILDTIPO|5

#Añadir atributos
#1 = rural 
#2 = Residencial
#3 = Industrial
#4 = Urbanizaciones

ADDATTRIBUTEIFINSIDE|FTYPE=POLYGON;FROMFILE=EDIFIC.mid|FTYPE=POLYGON;FROMFILE=ENT_POB.mid|BUILDCAT|1
ADDATTRIBUTEIFINSIDE|BUILDCAT!1;FTYPE=POLYGON;FROMFILE=EDIFIC.mid|FTYPE=POLYGON;FROMFILE=landuse.mid;type=residential|BUILDCAT|2
ADDATTRIBUTE|BUILDCAT!1;BUILDCAT!2;FTYPE=POLYGON;FROMFILE=EDIFIC.mid|BUILDCAT|1
ADDATTRIBUTE|FTYPE=POLYGON;FROMFILE=INS_IND.mid|BUILDCAT|3
ADDATTRIBUTEIFINSIDE|BUILDCAT!2;FTYPE=POLYGON;FROMFILE=EDIFIC.mid|FTYPE=POLYGON;FROMFILE=landuse.mid;type=urbanizacion|BUILDCAT|4

#Los tipos de polígonos 3 los sustituye por polígonos rectangulares
REPLACEPOLYGONBYBUILDINGRECTANGLES|BUILDTIPO=3|0.8;4;4|0.5;2.0;1.0|BUILDTIPO|2

#Meter puntos en las carreteras
PLACEPOINTSALONGLINE|FTYPE=LINE;type=primary;FROMFILE=ROADWAYS.mid|SINGLE|150;150|5;5|75|tipo|luz|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;type=secondary;FROMFILE=ROADWAYS.mid|SINGLE|150;150|5;5|75|tipo|luz|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;type=trunk;FROMFILE=ROADWAYS.mid|SINGLE|150;150|5;5|75|tipo|luz|hdg

#Meter torres
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=(400 KV);FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=(132 KV);FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=(220 KV);FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=(75 KV);FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=(45 KV);FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg
PLACEPOINTSALONGLINE|FTYPE=LINE;ETIQUETA=poste;FROMFILE=LIN_ELEC.mid|SINGLE|400;400|0;0|400|tipo|ALTA|hdg

# Iglesias de poligono a punto
PLACEPOINTATCENTERPOLYGON|FTYPE=POLYGON;FROMFILE=EDI_REL.mid|tipo|RELI|hdg

#Alturas edificios
SETAGNBUILDINGHEIGHT|BUILDCAT=1|1.0;0.0;0.0;0.0
SETAGNBUILDINGHEIGHT|BUILDCAT=2|0.15;0.25;0.25;0.35
SETAGNBUILDINGHEIGHT|BUILDCAT=3|0.75;0.25;0.0;0.0
SETAGNBUILDINGHEIGHT|BUILDCAT=4|1.0;0.0;0.0;0.0

#parques y bosques
CREATEAGNPOLYVEG|FTYPE=POLYGON;FROMFILE=ZON_VER.mid|{b7c05b80-45e9-4faf-9548-6a3e59c02dd6}
CREATEAGNPOLYVEG|FTYPE=POLYGON;FROMFILE=VEGS.mid;type=forest|{6dc2e489-bb03-4cf6-adc9-0e95edbf099f}
#

CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH<15|{5ae04eb6-934c-4f63-bb48-5e7dee601212}|MAXRATIO=2
CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH>15;FWIDTH<30|{f7b99ae4-80ca-4652-b2df-2fee994d70f9}|MAXRATIO=0.75
CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH>30;FWIDTH<40|{f952d757-2e7f-4f69-8072-e6081a2b76a1}|MAXRATIO=0.5

CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH<15|{43328391-A51D-4D27-AB79-98D60BB4733C}|MAXRATIO=2
CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH>15;FWIDTH<30|{EB33E6D6-A1B5-4E27-99C6-9D4C21E58F55}|MAXRATIO=0.75
CREATEAGNGENBUILD|BUILDCAT=1;BUILDTIPO<3;FWIDTH>30;FWIDTH<40|{f952d757-2e7f-4f69-8072-e6081a2b76a1}|MAXRATIO=0.5

#CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH<15|{5ae04eb6-934c-4f63-bb48-5e7dee601212}|MAXRATIO=2
#CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH>15;FWIDTH<30|{311de8c7-e596-4e28-a94d-da09d0252ce4}|MAXRATIO=1
#CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH>30;FWIDTH<40|{311de8c7-e596-4e28-a94d-da09d0252ce4}|MAXRATIO=0.5

CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH<15|{43328391-A51D-4D27-AB79-98D60BB4733C}|MAXRATIO=2
CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH>15;FWIDTH<30|{EB33E6D6-A1B5-4E27-99C6-9D4C21E58F55}|MAXRATIO=1
CREATEAGNGENBUILD|BUILDCAT=2;BUILDTIPO<3;FWIDTH>30;FWIDTH<40|{311de8c7-e596-4e28-a94d-da09d0252ce4}|MAXRATIO=0.5

#CREATEAGNGENBUILD|BUILDCAT=3;BUILDTIPO<3;FWIDTH<15|{4eb68be7-2f1f-4cd2-920e-becfa2d8c888}|MAXRATIO=2
#CREATEAGNGENBUILD|BUILDCAT=3;BUILDTIPO<3;FWIDTH>15;FWIDTH<30|{4eb68be7-2f1f-4cd2-920e-becfa2d8c888}|MAXRATIO=1
#CREATEAGNGENBUILD|BUILDCAT=3;BUILDTIPO<3;FWIDTH>30;FWIDTH<50|{4eb68be7-2f1f-4cd2-920e-becfa2d8c888}|MAXRATIO=0.5

CREATEAGNGENBUILD|BUILDCAT=4;BUILDTIPO<4;FWIDTH<15|{7d6e09d6-3954-4ea2-bbb7-43b2b3083482}|MAXRATIO=2
CREATEAGNGENBUILD|BUILDCAT=4;BUILDTIPO<4;FWIDTH>15;FWIDTH<30|{f8d16195-b3e7-467d-a741-111f98be6abc}|MAXRATIO=0.75
CREATEAGNGENBUILD|BUILDCAT=4;BUILDTIPO<4;FWIDTH>30;FWIDTH<50|{f952d757-2e7f-4f69-8072-e6081a2b76a1}|MAXRATIO=0.5

#Antenas de Radio.
CREATEXMLLIBOBJ|FTYPE=POINT;FROMFILE=Antena.mid|{79D0AD2B-C7CF-4433-9C7C-25BA72B3327F}|0|75|NoAutogenSuppression

# Estaciones de servico
CREATEXMLLIBOBJ|FTYPE=POINT;FROMFILE=ESTACIO.mid|{F2E377E7-B1E3-4D8E-86CF-4184B1CA70BE}|0|75|NoAutogenSuppression

# Otra antena {79D0AD2B-C7CF-4433-9C7C-25BA72B3327F}
# antena inicial {5137c384-3c55-4346-a368-b0270a08fd11}

#luces
CREATEAGNLIBOBJ|FTYPE=POINT;tipo=luz|{0017a263-464f-14fd-f77f-2996fed44864}|hdg|180|8;8

#iglesias
CREATEAGNLIBOBJ|FTYPE=POINT;tipo=RELI|{7af89112-4447-afdb-6f95-699a3254e7a2}|hdg|0|40;25

#postes de alta y baja tension
CREATEXMLLIBOBJ|FTYPE=POINT;tipo=ALTA|{9E615B91-DBEB-492A-B056-CBE2D4555239}|hdg|0|NoAutogenSuppression
CREATEXMLLIBOBJ|FTYPE=POINT;tipo=BAJA|{9E615B91-DBEB-492A-B056-CBE2D4555239}|hdg|0|NoAutogenSuppression

EXPORTBGL|FSX|autogen_objetos_10614|D:\Mis Documentos\Diseño de Escenarios\Foto Real agn\Cadiz\scenery
EXPORTAGN|FSX|D:\Mis Documentos\Diseño de Escenarios\Foto Real agn\Cadiz\texture